cgiwrap_iterenv(3)

NAME
cgiwrap_iterenv - iterater for env vars

SYNOPSIS
#include <cgi/cgiwrap.h> NEOERR *cgiwrap_iterenv (int n, char **k, char **v);

ARGUMENTS
n - variable to return. This should start at 0 and increment
until you receive a NULL return value.

DESCRIPTION
cgiwrap_iterenv allows a program to iterate over all the environment variables. This is probably mostly used by the default debug output.

RETURN VALUE
k - a malloc'd copy of the variable name
v - a malloc'd copy of the variable value

SEE ALSO
cgiwrap_iterenv(3), cgiwrap_putenv(3), cgiwrap_init_emu(3), cgiwrap_writef(3), cgiwrap_init_std(3), cgiwrap_writevf(3), cgiwrap_read(3), cgiwrap_write(3), cgiwrap_getenv